package com.xy.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 设备-注册登记
 * </p>
 *
 * @author lijin
 * @since 2022-12-29
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
public class DeviceRegister implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 设备ID
     */
    private Long deviceId;

    /**
     * 注册序号
     */
    private Integer registerNum;

    /**
     * 设备sn
     */
    private String deviceSn;

    /**
     * 设备类型
     */
    private String deviceType;

    /**
     * 设备批次号
     */
    private String devicePc;

    /**
     * 资产编号
     */
    private LocalDateTime assetNo;

    /**
     * 注册时间
     */
    private LocalDateTime registerUserId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;


}
